Subject: Re: bug#47781: 28.0.50; (window-list-1 nil t) returns nil when minibuffer is inactive

From: marmot-te <[email-masked]>
Date: Mon, 19 Apr 2021 21:28:10 +0000

Alan Mackenzie <[email-masked]> writes:

> Hello, Marmot-Te.
>
> On Thu, Apr 15, 2021 at 00:11:34 +0000, marmot-te wrote:
>
>> Hi,
>
>> I read from the docstring of the function
>> > MINIBUF t means consider the minibuffer window even if the 
>> > minibuffer is not active
>
>> However, 
>> with emacs -Q
>> and the minibuffer inactive
>
>> (window-list-1 nil t)
>> ;; => nil
>
> [ .... ]
>
> I think the following patch, to .../src/window.c, fixes it:
>
> [ ... ]
>
> ..  Please feel free to try it out, and let us know how well it 
> works.
> Thanks!

Hi again,

I just compiled the latest native-branch with your patch and can 
confirm that after testing the different clauses of MINIBUF, all 
works as expected.

Thanks !

-- 
<:3nn~~
   <:3nn~~
      <:3nn~~